Subject: [netmod] Re: I-D Action: draft-ietf-netmod-immutable-flag-04.txt
From: Kent Watsen <[email-masked]>
To: "Rob Wilton (rwilton)" <[email-masked]>, "Jason Sterne (Nokia)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 2 Jul 2025 14:31:51 +0000
List-Id: NETMOD WG list <netmod.ietf.org>

Rob/Jason,

Can you confirm the updates are good?

I wish to successfully-close the WGLC now.

Thanks,
Kent

> On Jun 11, 2025, at 11:43 AM, Kent Watsen <[email-masked]> wrote:
> 
> Hi Qiufang, I have looked through the diffs and all seems good now (sans the nit below).
> 
> Nit:  one example shows an unencrypted password, i.e., beginning with "$0$.  The "ianach:crypt-hash" type should always return a hashed password. 
> 
> Rob/Jason - are the updates okay with you as well?
> 
> Kent
> 
> 
> 
> 
> 
> 
>> On May 15, 2025, at 3:49 AM, maqiufang (A) <maqiufang1=[email-masked]> wrote:
>> 
>> Hi, all,
>> 
>> -04 is available now, which addresses the 2nd WGLC comments from Kent, Jason, and Rob (thanks a lot for your valuable comments!).
>> 
>> The primary revisions are concentrated in section 5 (i.e., Use of Immutable Flag for Different Statements), alongside the incorporation of examples of  immutability of list/leaf-list as shown in Appendix B. Both parts might benefit from further review from the WG to ensure agreement is clearly documented. There are also some other updates as suggested by reviewers. Would appreciate any other comments and suggestions from the WG. Thanks a lot!
>> 
>> Best Regards,
>> Qiufang
>> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] 
>> Sent: Thursday, May 15, 2025 3:40 PM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: [netmod] I-D Action: draft-ietf-netmod-immutable-flag-04.txt
>> 
>> Internet-Draft draft-ietf-netmod-immutable-flag-04.txt is now available. It is a work item of the Network Modeling (NETMOD) WG of the IETF.
>> 
>>  Title:   YANG Metadata Annotation for Immutable Flag
>>  Authors: Qiufang Ma
>>           Qin Wu
>>           Balazs Lengyel
>>           Hongwei Li
>>  Name:    draft-ietf-netmod-immutable-flag-04.txt
>>  Pages:   24
>>  Dates:   2025-05-15
>> 
>> Abstract:
>> 
>>  This document defines a way to formally document an existing
>>  behavior, implemented by servers in production, on the immutability
>>  of some system-provided nodes, using a YANG metadata annotation
>>  called "immutable" to flag which nodes are immutable.
>> 
>>  Clients may use "immutable" annotations provided by the server, to
>>  know beforehand why certain otherwise valid configuration requests
>>  will cause the server to return an error.
>> 
>>  The immutable flag is descriptive, documenting an existing behavior,
>>  not proscriptive, dictating server behaviors.
>> 
>>  This document updates RFC 8040 and RFC 8526.
>> 
>> The IETF datatracker status page for this Internet-Draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-netmod-immutable-flag/
>> 
>> There is also an HTML version available at:
>> https://www.ietf.org/archive/id/draft-ietf-netmod-immutable-flag-04.html
>> 
>> A diff from the previous version is available at:
>> https://author-tools.ietf.org/iddiff?url2=draft-ietf-netmod-immutable-flag-04
>> 
>> Internet-Drafts are also available by rsync at:
>> rsync.ietf.org::internet-drafts
>> 
>> 
>> _______________________________________________
>> netmod mailing list -- [email-masked]
>> To unsubscribe send an email to [email-masked]
>> _______________________________________________
>> netmod mailing list -- [email-masked]
>> To unsubscribe send an email to [email-masked]
> 
> _______________________________________________
> netmod mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]